温馨提示:您的每一次转载,体现了我写此文的意义!!!烦请您在转载时注明出处http://www.blogjava.net/sxyx2008/谢谢合作!!!

雪山飞鹄

温馨提示:您的每一次转载,体现了我写此文的意义!!!烦请您在转载时注明出处http://www.blogjava.net/sxyx2008/谢谢合作!!!

BlogJava 首页 新随笔 联系 聚合 管理
  215 Posts :: 1 Stories :: 674 Comments :: 0 Trackbacks

Tomcat的版本多的是乱入牛毛,本人一向喜欢用jstl/el表达式的,可是遇到多个版本的tomcat就会出现不解析EL表达式,原样输出的问题.

解决思路:

   修改web.xml中声明部分的schema版本为2.4

   jsp页面中的<page>指令中添加isELIgnored="false"

posted on 2010-05-26 16:42 雪山飞鹄 阅读(664) 评论(2)  编辑  收藏 所属分类: javase

Feedback

# re: 恶心的tomcat不认识el表达式 2010-05-27 11:48 隔叶黄莺
EL 是 servlet 2.4 支持的,所以要 web.xml 指定的 servlet 版本支持。  回复  更多评论
  

# re: 恶心的tomcat不认识el表达式[未登录] 2010-05-27 12:53 雪山飞鹄
@隔叶黄莺

经常光顾你的blog,技术很牛,全才啊  回复  更多评论
  


只有注册用户登录后才能发表评论。


网站导航: